--------------------------------------------------------------------------------
-- Copyright (c) 1995-2008 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 10.1.03
--  \   \         Application : sch2vhdl
--  /   /         Filename : FO_IO.vhf
-- /___/   /\     Timestamp : 04/16/2010 10:29:57
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: C:\Xilinx\10.1\ISE\bin\nt\unwrapped\sch2vhdl.exe -intstyle ise -family virtex2p -flat -suppress -w C:/Xilinx/10.1/ISE/FIRMWAREprojects/CREAM/MCP_MAIN/MCP_MAINv02/src/FO_IO.sch FO_IO.vhf
--Design Name: FO_IO
--Device: virtex2p
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesis and simulted, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity FO_IO is
   port ( MOD0      : in    std_logic; 
          MOD2      : in    std_logic; 
          RX_LOS    : in    std_logic; 
          TX_FAULT  : in    std_logic; 
          MOD1      : out   std_logic; 
          TX_DIS    : out   std_logic; 
          xMOD0     : out   std_logic; 
          xMOD2     : out   std_logic; 
          xRX_LOS   : out   std_logic; 
          xTX_FAULT : out   std_logic);
end FO_IO;

architecture BEHAVIORAL of FO_IO is
   attribute IOSTANDARD : string ;
   attribute BOX_TYPE   : string ;
   attribute SLEW       : string ;
   attribute DRIVE      : string ;
   signal XLXN_5    : std_logic;
   signal XLXN_11   : std_logic;
   signal XLXN_32   : std_logic;
   signal XLXN_33   : std_logic;
   signal XLXN_34   : std_logic;
   signal XLXN_35   : std_logic;
   component IBUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute IOSTANDARD of IBUF : component is "DEFAULT";
   attribute BOX_TYPE of IBUF : component is "BLACK_BOX";
   
   component OBUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute IOSTANDARD of OBUF : component is "DEFAULT";
   attribute SLEW of OBUF : component is "SLOW";
   attribute DRIVE of OBUF : component is "12";
   attribute BOX_TYPE of OBUF : component is "BLACK_BOX";
   
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : component is "BLACK_BOX";
   
   component BUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUF : component is "BLACK_BOX";
   
begin
   XLXI_1 : IBUF
      port map (I=>TX_FAULT,
                O=>XLXN_35);
   
   XLXI_2 : OBUF
      port map (I=>XLXN_5,
                O=>TX_DIS);
   
   XLXI_3 : GND
      port map (G=>XLXN_5);
   
   XLXI_4 : IBUF
      port map (I=>RX_LOS,
                O=>XLXN_34);
   
   XLXI_5 : IBUF
      port map (I=>MOD2,
                O=>XLXN_33);
   
   XLXI_6 : OBUF
      port map (I=>XLXN_11,
                O=>MOD1);
   
   XLXI_7 : GND
      port map (G=>XLXN_11);
   
   XLXI_8 : IBUF
      port map (I=>MOD0,
                O=>XLXN_32);
   
   XLXI_17 : BUF
      port map (I=>XLXN_32,
                O=>xMOD0);
   
   XLXI_18 : BUF
      port map (I=>XLXN_33,
                O=>xMOD2);
   
   XLXI_19 : BUF
      port map (I=>XLXN_34,
                O=>xRX_LOS);
   
   XLXI_20 : BUF
      port map (I=>XLXN_35,
                O=>xTX_FAULT);
   
end BEHAVIORAL;


