--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
--								University of Hawaii at Manoa						         --
--						Instrumentation Development Lab / GARY S. VARNER				--
--   								Watanabe Hall Room 214								      --
--  								  2505 Correa Road										   --
--  								 Honolulu, HI 96822											--
--  								Lab: (808) 956-2920											--
--	 								Fax: (808) 956-2930										   --
--  						E-mail: idlab@phys.hawaii.edu									   --
--------------------------------------------------------------------------------
--------------------------------------------------------------------------------	
-- Design by: Larry L. Ruckman Jr.															--
-- DATE : 23 JUNE 2007																			--
--	Module name: BUF32			  																--
--	Description : 																					--
-- 	 buffer 32 bits wide with buffering											--
--		  											    												--
--------------------------------------------------------------------------------
--------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity BUF32 is
   port ( 
          I  	: in    std_logic_vector (31 downto 0);
          O		: out   std_logic_vector (31 downto 0));
end BUF32;

architecture Behavioral of BUF32 is
--------------------------------------------------------------------------------
--   								components     		   						         --
--------------------------------------------------------------------------------
   component BUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
--------------------------------------------------------------------------------
begin
--------------------------------------------------------------------------------		
	xBUF_0 : BUF 
	port map (
		I  => I(0),
		O  => O(0));
--------------------------------------------------------------------------------		
	xBUF_1 : BUF 
	port map (
		I  => I(1),
		O  => O(1));
--------------------------------------------------------------------------------		
	xBUF_2 : BUF 
	port map (
		I  => I(2),
		O  => O(2));
--------------------------------------------------------------------------------		
	xBUF_3 : BUF 
	port map (
		I  => I(3),
		O  => O(3));
--------------------------------------------------------------------------------		
	xBUF_4 : BUF 
	port map (
		I  => I(4),
		O  => O(4));
--------------------------------------------------------------------------------		
	xBUF_5 : BUF 
	port map (
		I  => I(5),
		O  => O(5));
--------------------------------------------------------------------------------		
	xBUF_6 : BUF 
	port map (
		I  => I(6),
		O  => O(6));
--------------------------------------------------------------------------------		
	xBUF_7 : BUF 
	port map (
		I  => I(7),
		O  => O(7));
--------------------------------------------------------------------------------		
	xBUF_8 : BUF 
	port map (
		I  => I(8),
		O  => O(8));
--------------------------------------------------------------------------------		
	xBUF_9 : BUF 
	port map (
		I  => I(9),
		O  => O(9));
--------------------------------------------------------------------------------		
	xBUF_10 : BUF 
	port map (
		I  => I(10),
		O  => O(10));
--------------------------------------------------------------------------------		
	xBUF_11 : BUF 
	port map (
		I  => I(11),
		O  => O(11));
--------------------------------------------------------------------------------		
	xBUF_12 : BUF 
	port map (
		I  => I(12),
		O  => O(12));
--------------------------------------------------------------------------------		
	xBUF_13 : BUF 
	port map (
		I  => I(13),
		O  => O(13));
--------------------------------------------------------------------------------		
	xBUF_14 : BUF 
	port map (
		I  => I(14),
		O  => O(14));
--------------------------------------------------------------------------------		
	xBUF_15 : BUF 
	port map (
		I  => I(15),
		O  => O(15));
--------------------------------------------------------------------------------		
	xBUF_16 : BUF 
	port map (
		I  => I(16),
		O  => O(16));
--------------------------------------------------------------------------------		
	xBUF_17 : BUF 
	port map (
		I  => I(17),
		O  => O(17));
--------------------------------------------------------------------------------		
	xBUF_18 : BUF 
	port map (
		I  => I(18),
		O  => O(18));
--------------------------------------------------------------------------------		
	xBUF_19 : BUF 
	port map (
		I  => I(19),
		O  => O(19));
--------------------------------------------------------------------------------		
	xBUF_20 : BUF 
	port map (
		I  => I(20),
		O  => O(20));
--------------------------------------------------------------------------------		
	xBUF_21 : BUF 
	port map (
		I  => I(21),
		O  => O(21));
--------------------------------------------------------------------------------		
	xBUF_22 : BUF 
	port map (
		I  => I(22),
		O  => O(22));
--------------------------------------------------------------------------------		
	xBUF_23 : BUF 
	port map (
		I  => I(23),
		O  => O(23));
--------------------------------------------------------------------------------		
	xBUF_24 : BUF 
	port map (
		I  => I(24),
		O  => O(24));
--------------------------------------------------------------------------------		
	xBUF_25 : BUF 
	port map (
		I  => I(25),
		O  => O(25));
--------------------------------------------------------------------------------		
	xBUF_26 : BUF 
	port map (
		I  => I(26),
		O  => O(26));
--------------------------------------------------------------------------------		
	xBUF_27 : BUF 
	port map (
		I  => I(27),
		O  => O(27));
--------------------------------------------------------------------------------		
	xBUF_28 : BUF 
	port map (
		I  => I(28),
		O  => O(28));
--------------------------------------------------------------------------------		
	xBUF_29 : BUF 
	port map (
		I  => I(29),
		O  => O(29));
--------------------------------------------------------------------------------		
	xBUF_30 : BUF 
	port map (
		I  => I(30),
		O  => O(30));
--------------------------------------------------------------------------------		
	xBUF_31 : BUF 
	port map (
		I  => I(31),
		O  => O(31));		
--------------------------------------------------------------------------------		
end Behavioral;