--------------------------------------------------------------------------------
-- Copyright (c) 1995-2008 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 10.1.03
--  \   \         Application : sch2vhdl
--  /   /         Filename : CLK_MAIN.vhf
-- /___/   /\     Timestamp : 04/16/2010 10:29:59
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: C:\Xilinx\10.1\ISE\bin\nt\unwrapped\sch2vhdl.exe -intstyle ise -family virtex2p -flat -suppress -w C:/Xilinx/10.1/ISE/FIRMWAREprojects/CREAM/MCP_MAIN/MCP_MAINv02/src/CLK_MAIN.sch CLK_MAIN.vhf
--Design Name: CLK_MAIN
--Device: virtex2p
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesis and simulted, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity FTC_MXILINX_CLK_MAIN is
   port ( C   : in    std_logic; 
          CLR : in    std_logic; 
          T   : in    std_logic; 
          Q   : out   std_logic);
end FTC_MXILINX_CLK_MAIN;

architecture BEHAVIORAL of FTC_MXILINX_CLK_MAIN is
   attribute BOX_TYPE   : string ;
   attribute INIT       : string ;
   attribute RLOC       : string ;
   signal TQ      : std_logic;
   signal Q_DUMMY : std_logic;
   component XOR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of XOR2 : component is "BLACK_BOX";
   
   component FDC
      -- synopsys translate_off
      generic( INIT : bit :=  '0');
      -- synopsys translate_on
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute INIT of FDC : component is "0";
   attribute BOX_TYPE of FDC : component is "BLACK_BOX";
   
   attribute RLOC of I_36_35 : label is "X0Y0";
begin
   Q <= Q_DUMMY;
   I_36_32 : XOR2
      port map (I0=>T,
                I1=>Q_DUMMY,
                O=>TQ);
   
   I_36_35 : FDC
      port map (C=>C,
                CLR=>CLR,
                D=>TQ,
                Q=>Q_DUMMY);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity CLK_MAIN is
   port ( BCLK       : in    std_logic; 
          DIFF_CLK   : in    std_logic; 
          DIFF_CLK_N : in    std_logic; 
          EXT_TRIG   : in    std_logic; 
          VPED       : in    std_logic; 
          xSOFT_TRIG : in    std_logic; 
          TRIG       : out   std_logic_vector (3 downto 0); 
          TRIGN      : out   std_logic_vector (3 downto 0); 
          xCLK       : out   std_logic; 
          xCLK_10Hz  : out   std_logic; 
          xCLK_15MHz : out   std_logic; 
          xCLK_100Hz : out   std_logic; 
          xFCLK      : out   std_logic);
end CLK_MAIN;

architecture BEHAVIORAL of CLK_MAIN is
   attribute HU_SET     : string ;
   attribute BOX_TYPE   : string ;
   attribute IOSTANDARD : string ;
   attribute SLEW       : string ;
   attribute DRIVE      : string ;
   signal xCLK_30MHz       : std_logic;
   signal XLXN_27          : std_logic;
   signal XLXN_157         : std_logic;
   signal XLXN_158         : std_logic;
   signal XLXN_160         : std_logic;
   signal XLXN_162         : std_logic;
   signal XLXN_167         : std_logic;
   signal XLXN_168         : std_logic;
   signal XLXN_169         : std_logic;
   signal XLXN_185         : std_logic;
   signal XLXN_659         : std_logic;
   signal XLXN_661         : std_logic;
   signal xTRIG            : std_logic;
   signal xCLK_15MHz_DUMMY : std_logic;
   signal xCLK_DUMMY       : std_logic;
   component FTC_MXILINX_CLK_MAIN
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             T   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : component is "BLACK_BOX";
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : component is "BLACK_BOX";
   
   component BUFG
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUFG : component is "BLACK_BOX";
   
   component IBUFG
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute IOSTANDARD of IBUFG : component is "DEFAULT";
   attribute BOX_TYPE of IBUFG : component is "BLACK_BOX";
   
   component OBUFDS
      port ( I  : in    std_logic; 
             O  : out   std_logic; 
             OB : out   std_logic);
   end component;
   attribute IOSTANDARD of OBUFDS : component is "DEFAULT";
   attribute SLEW of OBUFDS : component is "SLOW";
   attribute DRIVE of OBUFDS : component is "12";
   attribute BOX_TYPE of OBUFDS : component is "BLACK_BOX";
   
   component IBUFDS
      port ( I  : in    std_logic; 
             IB : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute IOSTANDARD of IBUFDS : component is "DEFAULT";
   attribute BOX_TYPE of IBUFDS : component is "BLACK_BOX";
   
   component HK_CLK
      port ( xCLK_15MHz : in    std_logic; 
             xCLK_1Hz   : out   std_logic; 
             xCLK_10Hz  : out   std_logic; 
             xCLK_100Hz : out   std_logic; 
             xCLK_1kHz  : out   std_logic; 
             xCLR_ALL   : in    std_logic);
   end component;
   
   component BUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUF : component is "BLACK_BOX";
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : component is "BLACK_BOX";
   
   attribute HU_SET of XLXI_21 : label is "XLXI_21_1";
   attribute HU_SET of XLXI_1554 : label is "XLXI_1554_0";
begin
   xCLK <= xCLK_DUMMY;
   xCLK_15MHz <= xCLK_15MHz_DUMMY;
   XLXI_21 : FTC_MXILINX_CLK_MAIN
      port map (C=>xCLK_30MHz,
                CLR=>XLXN_157,
                T=>XLXN_158,
                Q=>XLXN_160);
   
   XLXI_44 : GND
      port map (G=>XLXN_157);
   
   XLXI_45 : VCC
      port map (P=>XLXN_158);
   
   XLXI_46 : BUFG
      port map (I=>XLXN_160,
                O=>xCLK_15MHz_DUMMY);
   
   XLXI_93 : IBUFG
      port map (I=>BCLK,
                O=>XLXN_27);
   
   XLXI_108 : BUFG
      port map (I=>XLXN_27,
                O=>xCLK_DUMMY);
   
   XLXI_224 : OBUFDS
      port map (I=>xTRIG,
                O=>TRIG(0),
                OB=>TRIGN(0));
   
   XLXI_225 : OBUFDS
      port map (I=>xTRIG,
                O=>TRIG(1),
                OB=>TRIGN(1));
   
   XLXI_226 : OBUFDS
      port map (I=>xTRIG,
                O=>TRIG(2),
                OB=>TRIGN(2));
   
   XLXI_227 : OBUFDS
      port map (I=>xTRIG,
                O=>TRIG(3),
                OB=>TRIGN(3));
   
   XLXI_1548 : IBUFDS
      port map (I=>DIFF_CLK,
                IB=>DIFF_CLK_N,
                O=>XLXN_162);
   
   XLXI_1549 : BUFG
      port map (I=>XLXN_162,
                O=>xFCLK);
   
   XLXI_1554 : FTC_MXILINX_CLK_MAIN
      port map (C=>xCLK_DUMMY,
                CLR=>XLXN_167,
                T=>XLXN_168,
                Q=>XLXN_169);
   
   XLXI_1555 : GND
      port map (G=>XLXN_167);
   
   XLXI_1556 : VCC
      port map (P=>XLXN_168);
   
   XLXI_1572 : HK_CLK
      port map (xCLK_15MHz=>xCLK_15MHz_DUMMY,
                xCLR_ALL=>XLXN_185,
                xCLK_1Hz=>open,
                xCLK_1kHz=>open,
                xCLK_10Hz=>xCLK_10Hz,
                xCLK_100Hz=>xCLK_100Hz);
   
   XLXI_1581 : GND
      port map (G=>XLXN_185);
   
   XLXI_2540 : BUF
      port map (I=>XLXN_169,
                O=>xCLK_30MHz);
   
   XLXI_2541 : IBUFDS
      port map (I=>VPED,
                IB=>EXT_TRIG,
                O=>XLXN_659);
   
   XLXI_2545 : OR2
      port map (I0=>xSOFT_TRIG,
                I1=>XLXN_659,
                O=>XLXN_661);
   
   XLXI_2549 : BUF
      port map (I=>XLXN_661,
                O=>xTRIG);
   
end BEHAVIORAL;


