--------------------------------------------------------------------------------
-- Copyright (c) 1995-2008 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 10.1.03
--  \   \         Application : sch2vhdl
--  /   /         Filename : MON_HDR.vhf
-- /___/   /\     Timestamp : 04/16/2010 10:29:59
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: C:\Xilinx\10.1\ISE\bin\nt\unwrapped\sch2vhdl.exe -intstyle ise -family virtex2p -flat -suppress -w C:/Xilinx/10.1/ISE/FIRMWAREprojects/CREAM/MCP_MAIN/MCP_MAINv02/src/MON_HDR.sch MON_HDR.vhf
--Design Name: MON_HDR
--Device: virtex2p
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesis and simulted, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity MON_HDR is
   port ( xHV_DIN0  : in    std_logic; 
          xHV_DIN1  : in    std_logic; 
          xHV_NSYNC : in    std_logic; 
          xHV_SCLK  : in    std_logic; 
          xMON7     : in    std_logic; 
          xMON8     : in    std_logic; 
          xMON9     : in    std_logic; 
          xMON10    : in    std_logic; 
          xMON11    : in    std_logic; 
          xMON12    : in    std_logic; 
          xMON13    : in    std_logic; 
          xMON14    : in    std_logic; 
          xMON15    : in    std_logic; 
          xMON16    : in    std_logic; 
          xMON17    : in    std_logic; 
          xMON18    : in    std_logic; 
          MON       : out   std_logic_vector (15 downto 0));
end MON_HDR;

architecture BEHAVIORAL of MON_HDR is
   attribute IOSTANDARD : string ;
   attribute SLEW       : string ;
   attribute DRIVE      : string ;
   attribute BOX_TYPE   : string ;
   component OBUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute IOSTANDARD of OBUF : component is "DEFAULT";
   attribute SLEW of OBUF : component is "SLOW";
   attribute DRIVE of OBUF : component is "12";
   attribute BOX_TYPE of OBUF : component is "BLACK_BOX";
   
begin
   XLXI_1 : OBUF
      port map (I=>xHV_DIN0,
                O=>MON(0));
   
   XLXI_2 : OBUF
      port map (I=>xHV_SCLK,
                O=>MON(1));
   
   XLXI_3 : OBUF
      port map (I=>xHV_NSYNC,
                O=>MON(2));
   
   XLXI_4 : OBUF
      port map (I=>xHV_DIN1,
                O=>MON(3));
   
   XLXI_5 : OBUF
      port map (I=>xMON7,
                O=>MON(4));
   
   XLXI_6 : OBUF
      port map (I=>xMON8,
                O=>MON(5));
   
   XLXI_7 : OBUF
      port map (I=>xMON9,
                O=>MON(6));
   
   XLXI_8 : OBUF
      port map (I=>xMON10,
                O=>MON(7));
   
   XLXI_9 : OBUF
      port map (I=>xMON11,
                O=>MON(8));
   
   XLXI_10 : OBUF
      port map (I=>xMON12,
                O=>MON(9));
   
   XLXI_11 : OBUF
      port map (I=>xMON13,
                O=>MON(10));
   
   XLXI_12 : OBUF
      port map (I=>xMON14,
                O=>MON(11));
   
   XLXI_17 : OBUF
      port map (I=>xMON15,
                O=>MON(12));
   
   XLXI_18 : OBUF
      port map (I=>xMON16,
                O=>MON(13));
   
   XLXI_19 : OBUF
      port map (I=>xMON17,
                O=>MON(14));
   
   XLXI_20 : OBUF
      port map (I=>xMON18,
                O=>MON(15));
   
end BEHAVIORAL;


