VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "virtex2p"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL xFO_CLR_ALL
        SIGNAL xUSB_CLR_ALL
        SIGNAL xWAKEUP
        SIGNAL xFO_REFRESH
        SIGNAL xUSB_REFRESH
        SIGNAL xFO_EN_PED
        SIGNAL xUSB_EN_PED
        SIGNAL xUSB_SOFT_TRIG
        SIGNAL xFIFOADR(1:0)
        SIGNAL xTOGGLE
        SIGNAL xSYNC_USB
        SIGNAL xSLRD
        SIGNAL xSLOE
        SIGNAL xRBUSY
        SIGNAL xUSB_DATA(15:0)
        SIGNAL xWBUSY
        SIGNAL xRESET
        SIGNAL xFLAGA
        SIGNAL xIFCLK
        SIGNAL xEN_PED
        SIGNAL xRX_LOST
        SIGNAL xRSTRB
        SIGNAL xCLR_ALL
        SIGNAL xDONE
        SIGNAL xREFRESH
        SIGNAL xSOFT_TRIG
        SIGNAL xPED_ROW_ADDR(2:0)
        SIGNAL xPED_COL_ADDR(4:0)
        SIGNAL xRSEL(3:0)
        SIGNAL xTHRES3(15:0)
        SIGNAL xTHRES2(15:0)
        SIGNAL xTHRES1(15:0)
        SIGNAL xTHRES0(15:0)
        SIGNAL xRADDR(15:0)
        SIGNAL xFO_LOSS
        SIGNAL xFO_DONE
        SIGNAL xUSB_DONE
        SIGNAL xFO_SOFT_TRIG
        SIGNAL xFO_RSTRB
        SIGNAL xUSB_RSTRB
        SIGNAL xFO_THRES2(15:0)
        SIGNAL xFO_THRES3(15:0)
        SIGNAL xUSB_THRES3(15:0)
        SIGNAL xUSB_THRES2(15:0)
        SIGNAL xFO_THRES1(15:0)
        SIGNAL xUSB_THRES1(15:0)
        SIGNAL xFO_THRES0(15:0)
        SIGNAL xUSB_THRES0(15:0)
        SIGNAL xFO_PED_ROW(2:0)
        SIGNAL xUSB_PED_ROW(2:0)
        SIGNAL xFO_PED_COL(4:0)
        SIGNAL xUSB_PED_COL(4:0)
        SIGNAL xFO_RSEL(3:0)
        SIGNAL xUSB_RSEL(3:0)
        SIGNAL xFO_RADDR(15:0)
        SIGNAL xUSB_RADDR(15:0)
        SIGNAL xTEMP(15:0)
        SIGNAL xSLAVE_DATA(15:0)
        SIGNAL xSTART
        SIGNAL xTX_BUSY
        SIGNAL xROCLK
        SIGNAL xROCLKx2
        SIGNAL xTX_DATA(31:0)
        SIGNAL xSLWR
        SIGNAL xFPGA_DATA(15:0)
        SIGNAL xSGN
        SIGNAL xTERM(2:0)
        SIGNAL xWBIAS(11:0)
        SIGNAL xUSB_WBIAS(11:0)
        SIGNAL xFO_WBIAS(11:0)
        SIGNAL xUSB_TERM(2:0)
        SIGNAL xFO_TERM(2:0)
        SIGNAL xUSB_SGN
        SIGNAL xFO_SGN
        SIGNAL xRX_DATA(31:0)
        SIGNAL xRX_BUSY
        SIGNAL PA2
        SIGNAL PA4
        SIGNAL PA5
        SIGNAL PA6
        SIGNAL PA0
        SIGNAL PA1
        SIGNAL PA3
        SIGNAL PA7
        SIGNAL WAKEUP
        SIGNAL IFCLK
        SIGNAL CLKOUT
        SIGNAL xFIFOADR(0)
        SIGNAL xFIFOADR(1)
        SIGNAL xPKTEND
        SIGNAL xFLAGB
        SIGNAL xFLAGC
        SIGNAL FD(15:0)
        SIGNAL CTL1
        SIGNAL RDY1
        SIGNAL RDY0
        SIGNAL RXN
        SIGNAL RXP
        SIGNAL REFCLK
        SIGNAL TXN
        SIGNAL TXP
        SIGNAL RX_LOS
        SIGNAL MOD2
        SIGNAL MOD0
        SIGNAL MOD1
        SIGNAL TX_DIS
        SIGNAL TX_FAULT
        SIGNAL CTL0
        SIGNAL CTL2
        SIGNAL xRX_LOST_N
        PORT Output xEN_PED
        PORT Output xRSTRB
        PORT Output xCLR_ALL
        PORT Output xDONE
        PORT Output xREFRESH
        PORT Output xSOFT_TRIG
        PORT Output xPED_ROW_ADDR(2:0)
        PORT Output xPED_COL_ADDR(4:0)
        PORT Output xRSEL(3:0)
        PORT Output xTHRES3(15:0)
        PORT Output xTHRES2(15:0)
        PORT Output xTHRES1(15:0)
        PORT Output xTHRES0(15:0)
        PORT Output xRADDR(15:0)
        PORT Input xTEMP(15:0)
        PORT Input xSLAVE_DATA(15:0)
        PORT Input xSTART
        PORT Output xSGN
        PORT Output xTERM(2:0)
        PORT Output xWBIAS(11:0)
        PORT Output xFO_TERM(2:0)
        PORT Output PA2
        PORT Output PA4
        PORT Output PA5
        PORT Output PA6
        PORT Input PA0
        PORT Input PA1
        PORT Input PA3
        PORT Input PA7
        PORT Input WAKEUP
        PORT Input IFCLK
        PORT Input CLKOUT
        PORT BiDirectional FD(15:0)
        PORT Input CTL1
        PORT Output RDY1
        PORT Output RDY0
        PORT Input RXN
        PORT Input RXP
        PORT Input REFCLK
        PORT Output TXN
        PORT Output TXP
        PORT Input RX_LOS
        PORT Input MOD2
        PORT Input MOD0
        PORT Output MOD1
        PORT Output TX_DIS
        PORT Input TX_FAULT
        PORT Input CTL0
        PORT Input CTL2
        BEGIN BLOCKDEF ROCKETIOv03
            TIMESTAMP 2008 10 4 21 27 37
            LINE N 0 -192 -64 -192 
            LINE N 0 -224 -64 -224 
            LINE N 0 -160 -64 -160 
            LINE N 0 -128 -64 -128 
            LINE N 320 -192 384 -192 
            LINE N 320 -224 384 -224 
            RECTANGLE N -64 -108 0 -84 
            LINE N 0 -96 -64 -96 
            RECTANGLE N 0 -256 320 0 
            LINE N 320 -160 384 -160 
            LINE N 320 -96 384 -96 
            LINE N 320 -64 384 -64 
            RECTANGLE N 320 -44 384 -20 
            LINE N 320 -32 384 -32 
            LINE N 320 -128 384 -128 
        END BLOCKDEF
        BEGIN BLOCKDEF FO_IO
            TIMESTAMP 2008 4 2 7 40 46
            RECTANGLE N 0 -224 288 0 
            LINE N 0 -192 -64 -192 
            LINE N 288 -192 352 -192 
            LINE N 0 -160 -64 -160 
            LINE N 0 -128 -64 -128 
            LINE N 0 -64 -64 -64 
            LINE N 288 -160 352 -160 
            LINE N 288 -128 352 -128 
            LINE N 288 -96 352 -96 
            LINE N 288 -64 352 -64 
            LINE N 288 -32 352 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF RX_DATA
            TIMESTAMP 2009 6 15 21 15 9
            LINE N 0 -352 -64 -352 
            LINE N 0 -320 -64 -320 
            RECTANGLE N -64 -300 0 -276 
            LINE N 0 -288 -64 -288 
            LINE N 0 -256 -64 -256 
            RECTANGLE N 0 -384 368 64 
            LINE N 368 -288 432 -288 
            LINE N 368 -256 432 -256 
            LINE N 368 -320 432 -320 
            LINE N 368 -352 432 -352 
            RECTANGLE N 368 -236 432 -212 
            LINE N 368 -224 432 -224 
            RECTANGLE N 368 -172 432 -148 
            LINE N 368 -160 432 -160 
            RECTANGLE N 368 -140 432 -116 
            LINE N 368 -128 432 -128 
            RECTANGLE N 368 -108 432 -84 
            LINE N 368 -96 432 -96 
            RECTANGLE N 368 -76 432 -52 
            LINE N 368 -64 432 -64 
            RECTANGLE N 368 -204 432 -180 
            LINE N 368 -192 432 -192 
            LINE N 368 32 432 32 
            RECTANGLE N 368 -12 432 12 
            LINE N 368 0 432 0 
            RECTANGLE N 368 -44 432 -20 
            LINE N 368 -32 432 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF TX_DATA
            TIMESTAMP 2009 6 15 6 51 29
            LINE N 0 -96 -64 -96 
            RECTANGLE N 0 -288 368 0 
            RECTANGLE N -64 -76 0 -52 
            LINE N 0 -64 -64 -64 
            RECTANGLE N -64 -44 0 -20 
            LINE N 0 -32 -64 -32 
            LINE N 0 -192 -64 -192 
            LINE N 0 -160 -64 -160 
            LINE N 0 -256 -64 -256 
            LINE N 0 -224 -64 -224 
            RECTANGLE N 368 -236 432 -212 
            LINE N 368 -224 432 -224 
            RECTANGLE N 368 -268 432 -244 
            LINE N 368 -256 432 -256 
            RECTANGLE N 368 -204 432 -180 
            LINE N 368 -192 432 -192 
            LINE N 368 -160 432 -160 
            LINE N 0 -128 -64 -128 
        END BLOCKDEF
        BEGIN BLOCKDEF MESS
            TIMESTAMP 2009 6 15 6 50 33
            LINE N 0 -160 -64 -160 
            LINE N 0 -128 -64 -128 
            LINE N 0 -96 -64 -96 
            LINE N 0 -64 -64 -64 
            RECTANGLE N 368 -172 432 -148 
            LINE N 368 -160 432 -160 
            RECTANGLE N 368 -140 432 -116 
            LINE N 368 -128 432 -128 
            RECTANGLE N 0 -192 368 32 
            RECTANGLE N 368 -108 432 -84 
            LINE N 368 -96 432 -96 
            LINE N 368 -64 432 -64 
            RECTANGLE N -64 -44 0 -20 
            LINE N 0 -32 -64 -32 
            RECTANGLE N -64 -12 0 12 
            LINE N 0 0 -64 0 
        END BLOCKDEF
        BEGIN BLOCKDEF USBwrite
            TIMESTAMP 2008 5 6 21 36 40
            LINE N 64 -224 0 -224 
            LINE N 64 -192 0 -192 
            LINE N 64 -160 0 -160 
            LINE N 64 -128 0 -128 
            LINE N 64 -96 0 -96 
            LINE N 64 -64 0 -64 
            LINE N 64 -32 0 -32 
            LINE N 432 -224 496 -224 
            LINE N 432 -192 496 -192 
            LINE N 432 -160 496 -160 
            LINE N 432 -128 496 -128 
            RECTANGLE N 64 -256 432 0 
        END BLOCKDEF
        BEGIN BLOCKDEF USBread
            TIMESTAMP 2009 6 15 21 14 54
            LINE N 0 -560 -64 -560 
            LINE N 0 -528 -64 -528 
            LINE N 0 -496 -64 -496 
            LINE N 0 -464 -64 -464 
            RECTANGLE N -64 -444 0 -420 
            LINE N 0 -432 -64 -432 
            RECTANGLE N 368 -556 432 -532 
            LINE N 368 -544 432 -544 
            LINE N 368 -512 432 -512 
            LINE N 368 -480 432 -480 
            LINE N 368 -448 432 -448 
            LINE N 368 -416 432 -416 
            LINE N 368 -384 432 -384 
            LINE N 368 -352 432 -352 
            RECTANGLE N 0 -592 368 32 
            LINE N 368 -320 432 -320 
            LINE N 368 -288 432 -288 
            RECTANGLE N 368 -236 432 -212 
            LINE N 368 -224 432 -224 
            RECTANGLE N 368 -204 432 -180 
            LINE N 368 -192 432 -192 
            RECTANGLE N 368 -172 432 -148 
            LINE N 368 -160 432 -160 
            RECTANGLE N 368 -140 432 -116 
            LINE N 368 -128 432 -128 
            RECTANGLE N 368 -108 432 -84 
            LINE N 368 -96 432 -96 
            RECTANGLE N 368 -268 432 -244 
            LINE N 368 -256 432 -256 
            LINE N 368 0 432 0 
            RECTANGLE N 368 -44 432 -20 
            LINE N 368 -32 432 -32 
            RECTANGLE N 368 -76 432 -52 
            LINE N 368 -64 432 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF USB_IO
            TIMESTAMP 2008 10 4 2 32 32
            RECTANGLE N 0 -608 400 0 
            LINE N 0 -576 -64 -576 
            LINE N 400 -576 464 -576 
            LINE N 0 -544 -64 -544 
            LINE N 0 -512 -64 -512 
            LINE N 0 -480 -64 -480 
            LINE N 0 -448 -64 -448 
            LINE N 0 -416 -64 -416 
            LINE N 0 -384 -64 -384 
            LINE N 0 -352 -64 -352 
            LINE N 0 -288 -64 -288 
            LINE N 0 -224 -64 -224 
            LINE N 0 -192 -64 -192 
            LINE N 0 -160 -64 -160 
            LINE N 0 -128 -64 -128 
            LINE N 0 -96 -64 -96 
            LINE N 0 -64 -64 -64 
            RECTANGLE N -64 -44 0 -20 
            LINE N 0 -32 -64 -32 
            LINE N 400 -544 464 -544 
            LINE N 400 -512 464 -512 
            LINE N 400 -480 464 -480 
            LINE N 400 -448 464 -448 
            LINE N 400 -416 464 -416 
            LINE N 400 -384 464 -384 
            LINE N 400 -352 464 -352 
            LINE N 400 -320 464 -320 
            LINE N 400 -288 464 -288 
            LINE N 400 -256 464 -256 
            RECTANGLE N 400 -236 464 -212 
            LINE N 400 -224 464 -224 
            RECTANGLE N 400 -204 464 -180 
            LINE N 400 -192 464 -192 
            LINE N 0 -320 -64 -320 
            LINE N 0 -256 -64 -256 
        END BLOCKDEF
        BEGIN BLOCKDEF PROGRESET
            TIMESTAMP 2008 6 4 6 11 4
            LINE N 64 32 0 32 
            LINE N 64 64 0 64 
            LINE N 320 32 384 32 
            LINE N 320 64 384 64 
            RECTANGLE N 64 -16 320 96 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF FO_USB_MUX
            TIMESTAMP 2009 6 15 21 14 22
            RECTANGLE N 0 -1760 432 -576 
            LINE N 0 -1536 -64 -1536 
            LINE N 0 -1568 -64 -1568 
            LINE N 0 -1600 -64 -1600 
            LINE N 0 -1728 -64 -1728 
            LINE N 0 -1696 -64 -1696 
            LINE N 0 -1664 -64 -1664 
            LINE N 0 -1632 -64 -1632 
            LINE N 432 -1728 496 -1728 
            LINE N 432 -1664 496 -1664 
            LINE N 432 -1696 496 -1696 
            LINE N 432 -1536 496 -1536 
            LINE N 432 -1568 496 -1568 
            LINE N 432 -1600 496 -1600 
            LINE N 432 -1632 496 -1632 
            RECTANGLE N 432 -1452 496 -1428 
            LINE N 432 -1440 496 -1440 
            RECTANGLE N 432 -1484 496 -1460 
            LINE N 432 -1472 496 -1472 
            RECTANGLE N 432 -1516 496 -1492 
            LINE N 432 -1504 496 -1504 
            RECTANGLE N 432 -1292 496 -1268 
            LINE N 432 -1280 496 -1280 
            RECTANGLE N 432 -1324 496 -1300 
            LINE N 432 -1312 496 -1312 
            RECTANGLE N 432 -1356 496 -1332 
            LINE N 432 -1344 496 -1344 
            RECTANGLE N 432 -1388 496 -1364 
            LINE N 432 -1376 496 -1376 
            RECTANGLE N 432 -1420 496 -1396 
            LINE N 432 -1408 496 -1408 
            LINE N 0 -1344 -64 -1344 
            LINE N 0 -1376 -64 -1376 
            LINE N 0 -1408 -64 -1408 
            LINE N 0 -1440 -64 -1440 
            LINE N 0 -1472 -64 -1472 
            LINE N 0 -1504 -64 -1504 
            LINE N 0 -1312 -64 -1312 
            RECTANGLE N -64 -812 0 -788 
            LINE N 0 -800 -64 -800 
            RECTANGLE N -64 -844 0 -820 
            LINE N 0 -832 -64 -832 
            RECTANGLE N -64 -876 0 -852 
            LINE N 0 -864 -64 -864 
            RECTANGLE N -64 -908 0 -884 
            LINE N 0 -896 -64 -896 
            RECTANGLE N -64 -940 0 -916 
            LINE N 0 -928 -64 -928 
            RECTANGLE N -64 -972 0 -948 
            LINE N 0 -960 -64 -960 
            RECTANGLE N -64 -1004 0 -980 
            LINE N 0 -992 -64 -992 
            RECTANGLE N -64 -1036 0 -1012 
            LINE N 0 -1024 -64 -1024 
            RECTANGLE N -64 -1068 0 -1044 
            LINE N 0 -1056 -64 -1056 
            RECTANGLE N -64 -1100 0 -1076 
            LINE N 0 -1088 -64 -1088 
            RECTANGLE N -64 -1132 0 -1108 
            LINE N 0 -1120 -64 -1120 
            RECTANGLE N -64 -1164 0 -1140 
            LINE N 0 -1152 -64 -1152 
            RECTANGLE N -64 -1196 0 -1172 
            LINE N 0 -1184 -64 -1184 
            RECTANGLE N -64 -1228 0 -1204 
            LINE N 0 -1216 -64 -1216 
            RECTANGLE N -64 -1260 0 -1236 
            LINE N 0 -1248 -64 -1248 
            RECTANGLE N -64 -1292 0 -1268 
            LINE N 0 -1280 -64 -1280 
            LINE N 432 -1184 496 -1184 
            RECTANGLE N 432 -1228 496 -1204 
            LINE N 432 -1216 496 -1216 
            RECTANGLE N 432 -1260 496 -1236 
            LINE N 432 -1248 496 -1248 
            LINE N 0 -608 -64 -608 
            LINE N 0 -640 -64 -640 
            LINE N 0 -768 -64 -768 
            LINE N 0 -736 -64 -736 
            LINE N 0 -704 -64 -704 
            LINE N 0 -672 -64 -672 
            RECTANGLE N -64 -780 0 -756 
            RECTANGLE N -64 -748 0 -724 
            RECTANGLE N -64 -716 0 -692 
            RECTANGLE N -64 -684 0 -660 
        END BLOCKDEF
        BEGIN BLOCK XLXI_2584 FO_USB_MUX
            PIN xFO_EN_PED xFO_EN_PED
            PIN xUSB_EN_PED xUSB_EN_PED
            PIN xFO_REFRESH xFO_REFRESH
            PIN xWAKEUP xWAKEUP
            PIN xUSB_CLR_ALL xUSB_CLR_ALL
            PIN xFO_CLR_ALL xFO_CLR_ALL
            PIN xUSB_REFRESH xUSB_REFRESH
            PIN xEN_PED xEN_PED
            PIN xRSTRB xRSTRB
            PIN xRX_LOST xRX_LOST
            PIN xSOFT_TRIG xSOFT_TRIG
            PIN xREFRESH xREFRESH
            PIN xCLR_ALL xCLR_ALL
            PIN xDONE xDONE
            PIN xTHRES0(15:0) xTHRES0(15:0)
            PIN xPED_ROW_ADDR(2:0) xPED_ROW_ADDR(2:0)
            PIN xPED_COL_ADDR(4:0) xPED_COL_ADDR(4:0)
            PIN xRADDR(15:0) xRADDR(15:0)
            PIN xRSEL(3:0) xRSEL(3:0)
            PIN xTHRES3(15:0) xTHRES3(15:0)
            PIN xTHRES2(15:0) xTHRES2(15:0)
            PIN xTHRES1(15:0) xTHRES1(15:0)
            PIN xFO_SOFT_TRIG xFO_SOFT_TRIG
            PIN xUSB_SOFT_TRIG xUSB_SOFT_TRIG
            PIN xFO_DONE xFO_DONE
            PIN xUSB_DONE xUSB_DONE
            PIN xFO_RSTRB xFO_RSTRB
            PIN xUSB_RSTRB xUSB_RSTRB
            PIN xFO_LOSS xFO_LOSS
            PIN xFO_RSEL(3:0) xFO_RSEL(3:0)
            PIN xUSB_RSEL(3:0) xUSB_RSEL(3:0)
            PIN xFO_RADDR(15:0) xFO_RADDR(15:0)
            PIN xUSB_RADDR(15:0) xUSB_RADDR(15:0)
            PIN xFO_THRES3(15:0) xFO_THRES3(15:0)
            PIN xUSB_THRES3(15:0) xUSB_THRES3(15:0)
            PIN xFO_THRES2(15:0) xFO_THRES2(15:0)
            PIN xUSB_THRES2(15:0) xUSB_THRES2(15:0)
            PIN xFO_THRES1(15:0) xFO_THRES1(15:0)
            PIN xUSB_THRES1(15:0) xUSB_THRES1(15:0)
            PIN xFO_THRES0(15:0) xFO_THRES0(15:0)
            PIN xUSB_THRES0(15:0) xUSB_THRES0(15:0)
            PIN xFO_PED_ROW(2:0) xFO_PED_ROW(2:0)
            PIN xUSB_PED_ROW(2:0) xUSB_PED_ROW(2:0)
            PIN xFO_PED_COL(4:0) xFO_PED_COL(4:0)
            PIN xUSB_PED_COL(4:0) xUSB_PED_COL(4:0)
            PIN xSGN xSGN
            PIN xTERM(2:0) xTERM(2:0)
            PIN xWBIAS(11:0) xWBIAS(11:0)
            PIN xUSB_WBIAS(11:0) xUSB_WBIAS(11:0)
            PIN xFO_WBIAS(11:0) xFO_WBIAS(11:0)
            PIN xUSB_TERM(2:0) xUSB_TERM(2:0)
            PIN xFO_TERM(2:0) xFO_TERM(2:0)
            PIN xUSB_SGN xUSB_SGN
            PIN xFO_SGN xFO_SGN
        END BLOCK
        BEGIN BLOCK XLXI_2522 USBread
            PIN xIFCLK xIFCLK
            PIN xFLAGA xFLAGA
            PIN xRESET xRESET
            PIN xWBUSY xWBUSY
            PIN xUSB_DATA(15:0) xUSB_DATA(15:0)
            PIN xRBUSY xRBUSY
            PIN xSLOE xSLOE
            PIN xSLRD xSLRD
            PIN xSYNC_USB xSYNC_USB
            PIN xSOFT_TRIG xUSB_SOFT_TRIG
            PIN xTOGGLE xTOGGLE
            PIN xFIFOADR(1:0) xFIFOADR(1:0)
            PIN xREFRESH xUSB_REFRESH
            PIN xEN_PED xUSB_EN_PED
            PIN xPED_ROW_ADDR(2:0) xUSB_PED_ROW(2:0)
            PIN xTHRES0(15:0) xUSB_THRES0(15:0)
            PIN xTHRES1(15:0) xUSB_THRES1(15:0)
            PIN xTHRES2(15:0) xUSB_THRES2(15:0)
            PIN xTHRES3(15:0) xUSB_THRES3(15:0)
            PIN xPED_COL_ADDR(4:0) xUSB_PED_COL(4:0)
            PIN xSGN xUSB_SGN
            PIN xTERM(2:0) xUSB_TERM(2:0)
            PIN xWBIAS(11:0) xUSB_WBIAS(11:0)
        END BLOCK
        BEGIN BLOCK XLXI_2485 TX_DATA
            PIN xCLR_ALL xFO_CLR_ALL
            PIN xTEMP(15:0) xTEMP(15:0)
            PIN xSLAVE_DATA(15:0) xSLAVE_DATA(15:0)
            PIN xTX_BUSY xTX_BUSY
            PIN xSTART xSTART
            PIN xROCLK xROCLK
            PIN xROCLKx2 xROCLKx2
            PIN xRADDR(15:0) xFO_RADDR(15:0)
            PIN xTX_DATA(31:0) xTX_DATA(31:0)
            PIN xRSEL(3:0) xFO_RSEL(3:0)
            PIN xRSTRB xFO_RSTRB
            PIN xDONE xFO_DONE
        END BLOCK
        BEGIN BLOCK XLXI_2520 MESS
            PIN xSLWR xSLWR
            PIN xSTART xSTART
            PIN xDONE xUSB_DONE
            PIN xCLR_ALL xUSB_CLR_ALL
            PIN xFPGA_DATA(15:0) xFPGA_DATA(15:0)
            PIN xRADDR(15:0) xUSB_RADDR(15:0)
            PIN xRSEL(3:0) xUSB_RSEL(3:0)
            PIN xRSTRB xUSB_RSTRB
            PIN xTEMP(15:0) xTEMP(15:0)
            PIN xSLAVE_DATA(15:0) xSLAVE_DATA(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_1707 RX_DATA
            PIN xROCLK xROCLK
            PIN xCLR_ALL xFO_CLR_ALL
            PIN xRX_BUSY xRX_BUSY
            PIN xRX_DATA(31:0) xRX_DATA(31:0)
            PIN xREFRESH xFO_REFRESH
            PIN xEN_PED xFO_EN_PED
            PIN xSOFT_TRIG xFO_SOFT_TRIG
            PIN xDONE xFO_DONE
            PIN xPED_COL_ADDR(4:0) xFO_PED_COL(4:0)
            PIN xTHRES0(15:0) xFO_THRES0(15:0)
            PIN xTHRES1(15:0) xFO_THRES1(15:0)
            PIN xTHRES2(15:0) xFO_THRES2(15:0)
            PIN xTHRES3(15:0) xFO_THRES3(15:0)
            PIN xPED_ROW_ADDR(2:0) xFO_PED_ROW(2:0)
            PIN xSGN xFO_SGN
            PIN xTERM(2:0) xFO_TERM(2:0)
            PIN xWBIAS(11:0) xFO_WBIAS(11:0)
        END BLOCK
        BEGIN BLOCK XLXI_1530 USB_IO
            PIN IFCLK IFCLK
            PIN xIFCLK xIFCLK
            PIN xSLOE xSLOE
            PIN xFIFOADR0 xFIFOADR(0)
            PIN xFIFOADR1 xFIFOADR(1)
            PIN xPKTEND xPKTEND
            PIN xSLWR xSLWR
            PIN xSLRD xSLRD
            PIN WAKEUP WAKEUP
            PIN CTL1 CTL1
            PIN PA7 PA7
            PIN PA3 PA3
            PIN PA1 PA1
            PIN PA0 PA0
            PIN CLKOUT CLKOUT
            PIN xTOGGLE xTOGGLE
            PIN xDATA_OUT(15:0) xFPGA_DATA(15:0)
            PIN PA2 PA2
            PIN PA4 PA4
            PIN PA5 PA5
            PIN PA6 PA6
            PIN RDY1 RDY1
            PIN RDY0 RDY0
            PIN xFLAGA xFLAGA
            PIN xFLAGB xFLAGB
            PIN xFLAGC xFLAGC
            PIN xWAKEUP xWAKEUP
            PIN xUSB_DATA(15:0) xUSB_DATA(15:0)
            PIN FD(15:0) FD(15:0)
            PIN CTL0 CTL0
            PIN CTL2 CTL2
        END BLOCK
        BEGIN BLOCK XLXI_1690 ROCKETIOv03
            PIN RXN RXN
            PIN RXP RXP
            PIN REFCLK REFCLK
            PIN xRX_LOSS xRX_LOST
            PIN xTX_DATA(31:0) xTX_DATA(31:0)
            PIN TXN TXN
            PIN TXP TXP
            PIN xROCLK xROCLK
            PIN xTX_BUSY xTX_BUSY
            PIN xRX_BUSY xRX_BUSY
            PIN xRX_DATA(31:0) xRX_DATA(31:0)
            PIN xROCLKx2 xROCLKx2
        END BLOCK
        BEGIN BLOCK XLXI_2410 FO_IO
            PIN TX_FAULT TX_FAULT
            PIN xTX_FAULT
            PIN RX_LOS RX_LOS
            PIN MOD2 MOD2
            PIN MOD0 MOD0
            PIN xRX_LOS xFO_LOSS
            PIN xMOD2
            PIN MOD1 MOD1
            PIN xMOD0
            PIN TX_DIS TX_DIS
        END BLOCK
        BEGIN BLOCK XLXI_2540 PROGRESET
            PIN xCLK xIFCLK
            PIN xWAKEUP xWAKEUP
            PIN xCLR_ALL xUSB_CLR_ALL
            PIN xGLRST xRESET
        END BLOCK
        BEGIN BLOCK XLXI_1545 PROGRESET
            PIN xCLK xROCLKx2
            PIN xWAKEUP xRX_LOST_N
            PIN xCLR_ALL xFO_CLR_ALL
            PIN xGLRST
        END BLOCK
        BEGIN BLOCK XLXI_2521 USBwrite
            PIN xIFCLK xIFCLK
            PIN xFLAGB xFLAGB
            PIN xFLAGC xFLAGC
            PIN xRBUSY xRBUSY
            PIN xRESET xRESET
            PIN xSTART xSTART
            PIN xSYNC_USB xSYNC_USB
            PIN xDONE xUSB_DONE
            PIN xPKTEND xPKTEND
            PIN xSLWR xSLWR
            PIN xWBUSY xWBUSY
        END BLOCK
        BEGIN BLOCK XLXI_2558 inv
            PIN I xRX_LOST
            PIN O xRX_LOST_N
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN INSTANCE XLXI_2584 2688 2480 R0
        END INSTANCE
        BEGIN BRANCH xFO_CLR_ALL
            WIRE 2592 816 2608 816
            WIRE 2608 816 2624 816
            BEGIN DISPLAY 2592 816 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xUSB_CLR_ALL
            WIRE 2592 784 2608 784
            WIRE 2608 784 2624 784
            BEGIN DISPLAY 2592 784 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xWAKEUP
            WIRE 2592 752 2608 752
            WIRE 2608 752 2624 752
            BEGIN DISPLAY 2592 752 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFO_REFRESH
            WIRE 2592 880 2608 880
            WIRE 2608 880 2624 880
            BEGIN DISPLAY 2592 880 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xUSB_REFRESH
            WIRE 2592 848 2608 848
            WIRE 2608 848 2624 848
            BEGIN DISPLAY 2592 848 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFO_EN_PED
            WIRE 2592 944 2608 944
            WIRE 2608 944 2624 944
            BEGIN DISPLAY 2592 944 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xUSB_EN_PED
            WIRE 2592 912 2608 912
            WIRE 2608 912 2624 912
            BEGIN DISPLAY 2592 912 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_2522 1472 1632 R0
        END INSTANCE
        BEGIN BRANCH xUSB_SOFT_TRIG
            WIRE 1904 1280 1936 1280
            BEGIN DISPLAY 1936 1280 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xUSB_EN_PED
            WIRE 1904 1344 1936 1344
            BEGIN DISPLAY 1936 1344 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xUSB_REFRESH
            WIRE 1904 1312 1936 1312
            BEGIN DISPLAY 1936 1312 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFIFOADR(1:0)
            WIRE 1904 1088 1936 1088
            BEGIN DISPLAY 1936 1088 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xTOGGLE
            WIRE 1904 1216 1936 1216
            BEGIN DISPLAY 1936 1216 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xSYNC_USB
            WIRE 1904 1248 1936 1248
            BEGIN DISPLAY 1936 1248 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xSLRD
            WIRE 1904 1184 1936 1184
            BEGIN DISPLAY 1936 1184 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xSLOE
            WIRE 1904 1152 1936 1152
            BEGIN DISPLAY 1936 1152 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xRBUSY
            WIRE 1904 1120 1936 1120
            BEGIN DISPLAY 1936 1120 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xUSB_DATA(15:0)
            WIRE 1376 1200 1392 1200
            WIRE 1392 1200 1408 1200
            BEGIN DISPLAY 1376 1200 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xWBUSY
            WIRE 1376 1168 1408 1168
            BEGIN DISPLAY 1376 1168 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xRESET
            WIRE 1376 1136 1408 1136
            BEGIN DISPLAY 1376 1136 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFLAGA
            WIRE 1376 1104 1408 1104
            BEGIN DISPLAY 1376 1104 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xIFCLK
            WIRE 1376 1072 1408 1072
            BEGIN DISPLAY 1376 1072 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xEN_PED
            WIRE 3184 752 3216 752
        END BRANCH
        BEGIN BRANCH xRX_LOST
            WIRE 3184 784 3200 784
            WIRE 3200 784 3216 784
            BEGIN DISPLAY 3216 784 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xRSTRB
            WIRE 3184 816 3216 816
        END BRANCH
        BEGIN BRANCH xCLR_ALL
            WIRE 3184 880 3200 880
            WIRE 3200 880 3216 880
        END BRANCH
        BEGIN BRANCH xDONE
            WIRE 3184 848 3200 848
            WIRE 3200 848 3216 848
        END BRANCH
        BEGIN BRANCH xREFRESH
            WIRE 3184 912 3216 912
        END BRANCH
        BEGIN BRANCH xSOFT_TRIG
            WIRE 3184 944 3200 944
            WIRE 3200 944 3216 944
        END BRANCH
        BEGIN BRANCH xPED_ROW_ADDR(2:0)
            WIRE 3184 1008 3216 1008
        END BRANCH
        BEGIN BRANCH xPED_COL_ADDR(4:0)
            WIRE 3184 976 3216 976
        END BRANCH
        BEGIN BRANCH xRSEL(3:0)
            WIRE 3184 1168 3216 1168
        END BRANCH
        BEGIN BRANCH xTHRES3(15:0)
            WIRE 3184 1136 3216 1136
        END BRANCH
        BEGIN BRANCH xTHRES2(15:0)
            WIRE 3184 1104 3216 1104
        END BRANCH
        BEGIN BRANCH xTHRES1(15:0)
            WIRE 3184 1072 3216 1072
        END BRANCH
        BEGIN BRANCH xTHRES0(15:0)
            WIRE 3184 1040 3216 1040
        END BRANCH
        BEGIN BRANCH xRADDR(15:0)
            WIRE 3184 1200 3216 1200
        END BRANCH
        BEGIN BRANCH xFO_LOSS
            WIRE 2592 1168 2608 1168
            WIRE 2608 1168 2624 1168
            BEGIN DISPLAY 2592 1168 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFO_DONE
            WIRE 2592 1072 2608 1072
            WIRE 2608 1072 2624 1072
            BEGIN DISPLAY 2592 1072 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xUSB_DONE
            WIRE 2592 1040 2608 1040
            WIRE 2608 1040 2624 1040
            BEGIN DISPLAY 2592 1040 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFO_SOFT_TRIG
            WIRE 2592 1136 2608 1136
            WIRE 2608 1136 2624 1136
            BEGIN DISPLAY 2592 1136 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xUSB_SOFT_TRIG
            WIRE 2592 1104 2608 1104
            WIRE 2608 1104 2624 1104
            BEGIN DISPLAY 2592 1104 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFO_RSTRB
            WIRE 2592 1008 2608 1008
            WIRE 2608 1008 2624 1008
            BEGIN DISPLAY 2592 1008 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xUSB_RSTRB
            WIRE 2592 976 2608 976
            WIRE 2608 976 2624 976
            BEGIN DISPLAY 2592 976 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFO_THRES2(15:0)
            WIRE 2592 1488 2608 1488
            WIRE 2608 1488 2624 1488
            BEGIN DISPLAY 2592 1488 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFO_THRES3(15:0)
            WIRE 2592 1552 2608 1552
            WIRE 2608 1552 2624 1552
            BEGIN DISPLAY 2592 1552 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xUSB_THRES3(15:0)
            WIRE 2592 1520 2608 1520
            WIRE 2608 1520 2624 1520
            BEGIN DISPLAY 2592 1520 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xUSB_THRES2(15:0)
            WIRE 2592 1456 2608 1456
            WIRE 2608 1456 2624 1456
            BEGIN DISPLAY 2592 1456 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFO_THRES1(15:0)
            WIRE 2592 1424 2608 1424
            WIRE 2608 1424 2624 1424
            BEGIN DISPLAY 2592 1424 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xUSB_THRES1(15:0)
            WIRE 2592 1392 2608 1392
            WIRE 2608 1392 2624 1392
            BEGIN DISPLAY 2592 1392 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFO_THRES0(15:0)
            WIRE 2592 1360 2608 1360
            WIRE 2608 1360 2624 1360
            BEGIN DISPLAY 2592 1360 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xUSB_THRES0(15:0)
            WIRE 2592 1328 2608 1328
            WIRE 2608 1328 2624 1328
            BEGIN DISPLAY 2592 1328 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFO_PED_ROW(2:0)
            WIRE 2592 1296 2608 1296
            WIRE 2608 1296 2624 1296
            BEGIN DISPLAY 2592 1296 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xUSB_PED_ROW(2:0)
            WIRE 2592 1264 2608 1264
            WIRE 2608 1264 2624 1264
            BEGIN DISPLAY 2592 1264 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFO_PED_COL(4:0)
            WIRE 2592 1232 2608 1232
            WIRE 2608 1232 2624 1232
            BEGIN DISPLAY 2592 1232 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xUSB_PED_COL(4:0)
            WIRE 2592 1200 2608 1200
            WIRE 2608 1200 2624 1200
            BEGIN DISPLAY 2592 1200 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFO_RSEL(3:0)
            WIRE 2592 1680 2608 1680
            WIRE 2608 1680 2624 1680
            BEGIN DISPLAY 2592 1680 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xUSB_RSEL(3:0)
            WIRE 2592 1648 2608 1648
            WIRE 2608 1648 2624 1648
            BEGIN DISPLAY 2592 1648 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFO_RADDR(15:0)
            WIRE 2592 1616 2608 1616
            WIRE 2608 1616 2624 1616
            BEGIN DISPLAY 2592 1616 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xUSB_RADDR(15:0)
            WIRE 2592 1584 2608 1584
            WIRE 2608 1584 2624 1584
            BEGIN DISPLAY 2592 1584 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_2485 1472 1040 R0
        END INSTANCE
        BEGIN BRANCH xTEMP(15:0)
            WIRE 1376 976 1408 976
        END BRANCH
        BEGIN BRANCH xSLAVE_DATA(15:0)
            WIRE 1376 1008 1408 1008
        END BRANCH
        BEGIN BRANCH xFO_CLR_ALL
            WIRE 1376 944 1408 944
            BEGIN DISPLAY 1376 944 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xSTART
            WIRE 1376 880 1408 880
        END BRANCH
        BEGIN BRANCH xTX_BUSY
            WIRE 1376 848 1408 848
            BEGIN DISPLAY 1376 848 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xROCLK
            WIRE 1376 784 1408 784
            BEGIN DISPLAY 1376 784 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xROCLKx2
            WIRE 1376 816 1408 816
            BEGIN DISPLAY 1376 816 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFO_DONE
            WIRE 1376 912 1408 912
            BEGIN DISPLAY 1376 912 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xTX_DATA(31:0)
            WIRE 1904 784 1936 784
            BEGIN DISPLAY 1936 784 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFO_RADDR(15:0)
            WIRE 1904 816 1936 816
            BEGIN DISPLAY 1936 816 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFO_RSEL(3:0)
            WIRE 1904 848 1936 848
            BEGIN DISPLAY 1936 848 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFO_RSTRB
            WIRE 1904 880 1936 880
            BEGIN DISPLAY 1936 880 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xSLWR
            WIRE 1376 560 1408 560
            BEGIN DISPLAY 1376 560 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xSTART
            WIRE 1376 592 1408 592
            BEGIN DISPLAY 1376 592 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xUSB_DONE
            WIRE 1376 624 1408 624
            BEGIN DISPLAY 1376 624 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xUSB_CLR_ALL
            WIRE 1376 656 1408 656
            BEGIN DISPLAY 1376 656 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_2520 1472 720 R0
        END INSTANCE
        BEGIN BRANCH xFPGA_DATA(15:0)
            WIRE 1904 560 1936 560
            BEGIN DISPLAY 1936 560 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xUSB_RADDR(15:0)
            WIRE 1904 592 1936 592
            BEGIN DISPLAY 1936 592 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xUSB_RSEL(3:0)
            WIRE 1904 624 1936 624
            BEGIN DISPLAY 1936 624 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xUSB_RSTRB
            WIRE 1904 656 1936 656
            BEGIN DISPLAY 1936 656 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xTEMP(15:0)
            WIRE 1376 688 1408 688
            BEGIN DISPLAY 1376 688 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xSLAVE_DATA(15:0)
            WIRE 1376 720 1408 720
            BEGIN DISPLAY 1376 720 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xUSB_THRES3(15:0)
            WIRE 1904 1536 1936 1536
            BEGIN DISPLAY 1936 1536 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xUSB_THRES2(15:0)
            WIRE 1904 1504 1936 1504
            BEGIN DISPLAY 1936 1504 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xUSB_THRES1(15:0)
            WIRE 1904 1472 1936 1472
            BEGIN DISPLAY 1936 1472 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xUSB_THRES0(15:0)
            WIRE 1904 1440 1936 1440
            BEGIN DISPLAY 1936 1440 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xUSB_PED_ROW(2:0)
            WIRE 1904 1408 1936 1408
            BEGIN DISPLAY 1936 1408 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xUSB_PED_COL(4:0)
            WIRE 1904 1376 1936 1376
            BEGIN DISPLAY 1936 1376 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xSGN
            WIRE 3184 1296 3216 1296
        END BRANCH
        BEGIN BRANCH xTERM(2:0)
            WIRE 3184 1264 3216 1264
        END BRANCH
        BEGIN BRANCH xWBIAS(11:0)
            WIRE 3184 1232 3216 1232
        END BRANCH
        BEGIN BRANCH xUSB_WBIAS(11:0)
            WIRE 2592 1712 2624 1712
            BEGIN DISPLAY 2592 1712 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFO_WBIAS(11:0)
            WIRE 2592 1744 2624 1744
            BEGIN DISPLAY 2592 1744 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xUSB_TERM(2:0)
            WIRE 2592 1776 2624 1776
            BEGIN DISPLAY 2592 1776 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFO_TERM(2:0)
            WIRE 2592 1808 2624 1808
            BEGIN DISPLAY 2592 1808 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xUSB_SGN
            WIRE 2592 1840 2624 1840
            BEGIN DISPLAY 2592 1840 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFO_SGN
            WIRE 2592 1872 2624 1872
            BEGIN DISPLAY 2592 1872 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_1707 1472 2048 R0
        END INSTANCE
        BEGIN BRANCH xFO_CLR_ALL
            WIRE 1376 1792 1408 1792
            BEGIN DISPLAY 1376 1792 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xRX_DATA(31:0)
            WIRE 1376 1760 1408 1760
            BEGIN DISPLAY 1376 1760 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xRX_BUSY
            WIRE 1376 1728 1408 1728
            BEGIN DISPLAY 1376 1728 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xROCLK
            WIRE 1376 1696 1408 1696
            BEGIN DISPLAY 1376 1696 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFO_DONE
            WIRE 1904 1696 1936 1696
            BEGIN DISPLAY 1936 1696 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFO_EN_PED
            WIRE 1904 1792 1936 1792
            BEGIN DISPLAY 1936 1792 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFO_REFRESH
            WIRE 1904 1760 1936 1760
            BEGIN DISPLAY 1936 1760 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFO_SOFT_TRIG
            WIRE 1904 1728 1936 1728
            BEGIN DISPLAY 1936 1728 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFO_THRES3(15:0)
            WIRE 1904 1984 1936 1984
            BEGIN DISPLAY 1936 1984 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFO_THRES2(15:0)
            WIRE 1904 1952 1936 1952
            BEGIN DISPLAY 1936 1952 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFO_THRES1(15:0)
            WIRE 1904 1920 1936 1920
            BEGIN DISPLAY 1936 1920 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFO_THRES0(15:0)
            WIRE 1904 1888 1936 1888
            BEGIN DISPLAY 1936 1888 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFO_PED_COL(4:0)
            WIRE 1904 1824 1936 1824
            BEGIN DISPLAY 1936 1824 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFO_PED_ROW(2:0)
            WIRE 1904 1856 1936 1856
            BEGIN DISPLAY 1936 1856 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFO_SGN
            WIRE 1904 2080 1936 2080
            BEGIN DISPLAY 1936 2080 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFO_TERM(2:0)
            WIRE 1904 2048 1936 2048
        END BRANCH
        BEGIN BRANCH xFO_WBIAS(11:0)
            WIRE 1904 2016 1936 2016
            BEGIN DISPLAY 1936 2016 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xUSB_SGN
            WIRE 1904 1632 1936 1632
            BEGIN DISPLAY 1936 1632 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xUSB_TERM(2:0)
            WIRE 1904 1600 1936 1600
            BEGIN DISPLAY 1936 1600 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xUSB_WBIAS(11:0)
            WIRE 1904 1568 1936 1568
            BEGIN DISPLAY 1936 1568 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_1530 368 1888 R0
        END INSTANCE
        BEGIN BRANCH PA2
            WIRE 832 1344 864 1344
        END BRANCH
        BEGIN BRANCH PA4
            WIRE 832 1376 864 1376
        END BRANCH
        BEGIN BRANCH PA5
            WIRE 832 1408 864 1408
        END BRANCH
        BEGIN BRANCH PA6
            WIRE 832 1440 864 1440
        END BRANCH
        BEGIN BRANCH PA0
            WIRE 272 1760 304 1760
        END BRANCH
        BEGIN BRANCH PA1
            WIRE 272 1728 288 1728
            WIRE 288 1728 304 1728
        END BRANCH
        BEGIN BRANCH PA3
            WIRE 272 1696 304 1696
        END BRANCH
        BEGIN BRANCH PA7
            WIRE 272 1664 304 1664
        END BRANCH
        BEGIN BRANCH WAKEUP
            WIRE 272 1536 304 1536
        END BRANCH
        BEGIN BRANCH IFCLK
            WIRE 272 1312 304 1312
        END BRANCH
        BEGIN BRANCH CLKOUT
            WIRE 272 1792 304 1792
        END BRANCH
        BEGIN BRANCH xTOGGLE
            WIRE 272 1824 304 1824
            BEGIN DISPLAY 272 1824 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFPGA_DATA(15:0)
            WIRE 272 1856 304 1856
            BEGIN DISPLAY 272 1856 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xSLOE
            WIRE 272 1344 304 1344
            BEGIN DISPLAY 272 1344 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFIFOADR(0)
            WIRE 272 1376 304 1376
            BEGIN DISPLAY 272 1376 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFIFOADR(1)
            WIRE 272 1408 304 1408
            BEGIN DISPLAY 272 1408 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xPKTEND
            WIRE 272 1440 304 1440
            BEGIN DISPLAY 272 1440 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xSLWR
            WIRE 272 1472 304 1472
            BEGIN DISPLAY 272 1472 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xSLRD
            WIRE 272 1504 304 1504
            BEGIN DISPLAY 272 1504 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFLAGA
            WIRE 832 1536 864 1536
            BEGIN DISPLAY 864 1536 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFLAGB
            WIRE 832 1568 864 1568
            BEGIN DISPLAY 864 1568 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFLAGC
            WIRE 832 1600 864 1600
            BEGIN DISPLAY 864 1600 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xWAKEUP
            WIRE 832 1632 864 1632
            BEGIN DISPLAY 864 1632 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xUSB_DATA(15:0)
            WIRE 832 1664 864 1664
            BEGIN DISPLAY 864 1664 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH FD(15:0)
            WIRE 832 1696 864 1696
        END BRANCH
        BEGIN BRANCH xIFCLK
            WIRE 832 1312 864 1312
            BEGIN DISPLAY 864 1312 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH CTL1
            WIRE 272 1600 304 1600
        END BRANCH
        BEGIN BRANCH RDY1
            WIRE 832 1472 864 1472
        END BRANCH
        BEGIN BRANCH RDY0
            WIRE 832 1504 864 1504
        END BRANCH
        BEGIN BRANCH RXN
            WIRE 272 1088 304 1088
        END BRANCH
        BEGIN BRANCH RXP
            WIRE 272 1056 304 1056
        END BRANCH
        BEGIN BRANCH REFCLK
            WIRE 272 1120 304 1120
        END BRANCH
        BEGIN BRANCH xRX_LOST
            WIRE 272 1152 304 1152
            BEGIN DISPLAY 272 1152 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xTX_DATA(31:0)
            WIRE 272 1184 304 1184
            BEGIN DISPLAY 272 1184 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH TXN
            WIRE 752 1088 784 1088
        END BRANCH
        BEGIN BRANCH TXP
            WIRE 752 1056 784 1056
        END BRANCH
        BEGIN BRANCH xROCLK
            WIRE 752 1120 784 1120
            BEGIN DISPLAY 784 1120 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_1690 368 1280 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_2410 368 1024 R0
        END INSTANCE
        BEGIN BRANCH RX_LOS
            WIRE 272 864 304 864
        END BRANCH
        BEGIN BRANCH MOD2
            WIRE 272 896 304 896
        END BRANCH
        BEGIN BRANCH MOD0
            WIRE 272 960 304 960
        END BRANCH
        BEGIN BRANCH xFO_LOSS
            WIRE 720 864 752 864
            BEGIN DISPLAY 752 864 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH MOD1
            WIRE 720 928 752 928
        END BRANCH
        BEGIN BRANCH TX_DIS
            WIRE 720 992 752 992
        END BRANCH
        BEGIN BRANCH TX_FAULT
            WIRE 272 832 288 832
            WIRE 288 832 304 832
        END BRANCH
        BEGIN INSTANCE XLXI_2540 304 704 R0
        END INSTANCE
        BEGIN BRANCH xIFCLK
            WIRE 272 736 304 736
            BEGIN DISPLAY 272 736 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xWAKEUP
            WIRE 272 768 304 768
            BEGIN DISPLAY 272 768 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xUSB_CLR_ALL
            WIRE 688 736 720 736
            BEGIN DISPLAY 720 736 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xRESET
            WIRE 688 768 720 768
            BEGIN DISPLAY 720 768 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xROCLKx2
            WIRE 288 624 304 624
            BEGIN DISPLAY 288 624 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFO_CLR_ALL
            WIRE 688 624 704 624
            BEGIN DISPLAY 704 624 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_1545 304 592 R0
        END INSTANCE
        BEGIN BRANCH CTL0
            WIRE 272 1568 304 1568
        END BRANCH
        BEGIN BRANCH CTL2
            WIRE 272 1632 304 1632
        END BRANCH
        BEGIN BRANCH xRX_DATA(31:0)
            WIRE 752 1248 784 1248
            BEGIN DISPLAY 784 1248 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xRX_BUSY
            WIRE 752 1216 784 1216
            BEGIN DISPLAY 784 1216 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xTX_BUSY
            WIRE 752 1184 784 1184
            BEGIN DISPLAY 784 1184 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xROCLKx2
            WIRE 752 1152 784 1152
            BEGIN DISPLAY 784 1152 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_2521 304 2144 R0
        END INSTANCE
        BEGIN BRANCH xIFCLK
            WIRE 272 1920 304 1920
            BEGIN DISPLAY 272 1920 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFLAGB
            WIRE 272 1952 304 1952
            BEGIN DISPLAY 272 1952 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xFLAGC
            WIRE 272 1984 304 1984
            BEGIN DISPLAY 272 1984 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xRBUSY
            WIRE 272 2016 304 2016
            BEGIN DISPLAY 272 2016 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xRESET
            WIRE 272 2048 304 2048
            BEGIN DISPLAY 272 2048 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xSTART
            WIRE 272 2080 304 2080
            BEGIN DISPLAY 272 2080 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xSYNC_USB
            WIRE 272 2112 304 2112
            BEGIN DISPLAY 272 2112 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xUSB_DONE
            WIRE 800 1920 832 1920
            BEGIN DISPLAY 832 1920 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xPKTEND
            WIRE 800 1952 832 1952
            BEGIN DISPLAY 832 1952 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xSLWR
            WIRE 800 1984 832 1984
            BEGIN DISPLAY 832 1984 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xWBUSY
            WIRE 800 2016 832 2016
            BEGIN DISPLAY 832 2016 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xRX_LOST
            WIRE 368 544 400 544
            BEGIN DISPLAY 368 544 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_2558 400 576 R0
        BEGIN BRANCH xRX_LOST_N
            WIRE 624 544 656 544
            BEGIN DISPLAY 656 544 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH xRX_LOST_N
            WIRE 272 656 304 656
            BEGIN DISPLAY 272 656 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        IOMARKER 3216 752 xEN_PED R0 28
        IOMARKER 3216 816 xRSTRB R0 28
        IOMARKER 3216 880 xCLR_ALL R0 28
        IOMARKER 3216 848 xDONE R0 28
        IOMARKER 3216 912 xREFRESH R0 28
        IOMARKER 3216 944 xSOFT_TRIG R0 28
        IOMARKER 3216 1008 xPED_ROW_ADDR(2:0) R0 28
        IOMARKER 3216 976 xPED_COL_ADDR(4:0) R0 28
        IOMARKER 3216 1168 xRSEL(3:0) R0 28
        IOMARKER 3216 1136 xTHRES3(15:0) R0 28
        IOMARKER 3216 1104 xTHRES2(15:0) R0 28
        IOMARKER 3216 1072 xTHRES1(15:0) R0 28
        IOMARKER 3216 1040 xTHRES0(15:0) R0 28
        IOMARKER 3216 1200 xRADDR(15:0) R0 28
        IOMARKER 1376 976 xTEMP(15:0) R180 28
        IOMARKER 1376 1008 xSLAVE_DATA(15:0) R180 28
        IOMARKER 1376 880 xSTART R180 28
        IOMARKER 3216 1296 xSGN R0 28
        IOMARKER 3216 1264 xTERM(2:0) R0 28
        IOMARKER 3216 1232 xWBIAS(11:0) R0 28
        IOMARKER 864 1344 PA2 R0 28
        IOMARKER 864 1376 PA4 R0 28
        IOMARKER 864 1408 PA5 R0 28
        IOMARKER 864 1440 PA6 R0 28
        IOMARKER 272 1760 PA0 R180 28
        IOMARKER 272 1728 PA1 R180 28
        IOMARKER 272 1696 PA3 R180 28
        IOMARKER 272 1664 PA7 R180 28
        IOMARKER 272 1536 WAKEUP R180 28
        IOMARKER 272 1312 IFCLK R180 28
        IOMARKER 272 1792 CLKOUT R180 28
        IOMARKER 864 1696 FD(15:0) R0 28
        IOMARKER 272 1600 CTL1 R180 28
        IOMARKER 864 1472 RDY1 R0 28
        IOMARKER 864 1504 RDY0 R0 28
        IOMARKER 272 1088 RXN R180 28
        IOMARKER 272 1056 RXP R180 28
        IOMARKER 784 1088 TXN R0 28
        IOMARKER 784 1056 TXP R0 28
        IOMARKER 272 1120 REFCLK R180 28
        IOMARKER 272 864 RX_LOS R180 28
        IOMARKER 272 896 MOD2 R180 28
        IOMARKER 272 960 MOD0 R180 28
        IOMARKER 752 928 MOD1 R0 28
        IOMARKER 752 992 TX_DIS R0 28
        IOMARKER 272 832 TX_FAULT R180 28
        IOMARKER 272 1568 CTL0 R180 28
        IOMARKER 272 1632 CTL2 R180 28
        IOMARKER 1936 2048 xFO_TERM(2:0) R0 28
    END SHEET
END SCHEMATIC
