`timescale 1ns / 1ps
module data_reception(
							rxusrclk2
							,rxchariscomma, rxcharisk, rxcommadet
							,rxdata ,rxrealign
							,reset
							,rx_data
							,trans_flag
							);

input       rxusrclk2;
input			rxchariscomma, rxcharisk, rxcommadet;
input	[31:0]rxdata;
input			rxrealign;
input			reset;

output[31:0]rx_data;
output      trans_flag;

wire [3:0] rxchariscomma;
wire [3:0] rxcharisk;
wire       rxcommadet;

wire       rxrealign;
wire       reset;

wire [31:0]aligned_data, rx_data;

wire       aligned_rxisk3;
wire       sync;

aligned_32 INST_aligned_32(
							.aligned_data(aligned_data[31:0]),
							.aligned_rxisk3(aligned_rxisk3),
							.sync(sync),
							.usrclk2(rxusrclk2),
							.rxreset(reset),
							.rxdata(rxdata[31:0]),
							.rxisk(rxcharisk[3:0]),
							.rxrealign(rxrealign),
							.rxcommadet(rxcommadet),
							.rxchariscomma3(rxchariscomma[3]),
							.rxchariscomma1(rxchariscomma[1])
							);

rx_check_ctrl INST_RX_CHECK_CTRL(
							.aligned_data(aligned_data[31:0]),
							.aligned_rxisk3(aligned_rxisk3),
							.sync(sync),
							.rxusrclk2(rxusrclk2),
							.reset(reset),
							.rx_data(rx_data[31:0]),
							.trans_flag(trans_flag)
							);

endmodule
